<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:25 GMT 2019 -->
<title>B-Index</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="B-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-1.html">Prev Letter</a></li>
<li><a href="index-3.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-2.html" target="_top">Frames</a></li>
<li><a href="index-2.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a name="I:B">
<!--   -->
</a>
<h2 class="title">B</h2>
<dl>
<dt><a href="../player/Bank.html" title="class in player"><span class="typeNameLink">Bank</span></a> - Class in <a href="../player/package-summary.html">player</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Bank.html#Bank--">Bank()</a></span> - Constructor for class player.<a href="../player/Bank.html" title="class in player">Bank</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../board/BankDeposit.html" title="class in board"><span class="typeNameLink">BankDeposit</span></a> - Class in <a href="../board/package-summary.html">board</a></dt>
<dd>
<div class="block">The Bank Deposit Square</div>
</dd>
<dt><span class="memberNameLink"><a href="../board/BankDeposit.html#BankDeposit-java.lang.String-int-">BankDeposit(String, int)</a></span> - Constructor for class board.<a href="../board/BankDeposit.html" title="class in board">BankDeposit</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Game.html#bankruptcyProcess-player.Player-int-">bankruptcyProcess(Player, int)</a></span> - Method in class game.<a href="../game/Game.html" title="class in game">Game</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../game/Bid.html" title="class in game"><span class="typeNameLink">Bid</span></a> - Class in <a href="../game/package-summary.html">game</a></dt>
<dd>
<div class="block">Bid class for auctions</div>
</dd>
<dt><span class="memberNameLink"><a href="../game/Bid.html#Bid--">Bid()</a></span> - Constructor for class game.<a href="../game/Bid.html" title="class in game">Bid</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../tests/BidTest.html" title="class in tests"><span class="typeNameLink">BidTest</span></a> - Class in <a href="../tests/package-summary.html">tests</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/BidTest.html#BidTest--">BidTest()</a></span> - Constructor for class tests.<a href="../tests/BidTest.html" title="class in tests">BidTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../board/package-summary.html">board</a> - package board</dt>
<dd>&nbsp;</dd>
<dt><a href="../board/Board.html" title="class in board"><span class="typeNameLink">Board</span></a> - Class in <a href="../board/package-summary.html">board</a></dt>
<dd>
<div class="block">Generates a board from a file containing board information, 
 and handles inputs and outputs from it</div>
</dd>
<dt><span class="memberNameLink"><a href="../board/Board.html#Board--">Board()</a></span> - Constructor for class board.<a href="../board/Board.html" title="class in board">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../board/Board.html#BOARD_SIZE">BOARD_SIZE</a></span> - Static variable in class board.<a href="../board/Board.html" title="class in board">Board</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../tests/BoardTest.html" title="class in tests"><span class="typeNameLink">BoardTest</span></a> - Class in <a href="../tests/package-summary.html">tests</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/BoardTest.html#BoardTest--">BoardTest()</a></span> - Constructor for class tests.<a href="../tests/BoardTest.html" title="class in tests">BoardTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#bought-player.Player-board.PurchaseableSquare-">bought(Player, PurchaseableSquare)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#bought-player.Player-java.lang.String-">bought(Player, String)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../board/Property.html#buildHotel--">buildHotel()</a></span> - Method in class board.<a href="../board/Property.html" title="class in board">Property</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../board/Property.html#buildHouse--">buildHouse()</a></span> - Method in class board.<a href="../board/Property.html" title="class in board">Property</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Game.html#Buy-player.Player-board.PurchaseableSquare-">Buy(Player, PurchaseableSquare)</a></span> - Method in class game.<a href="../game/Game.html" title="class in game">Game</a></dt>
<dd>
<div class="block">Checks whether a play can afford a square</div>
</dd>
<dt><span class="memberNameLink"><a href="../player/Bank.html#buyHH-player.Player-board.Board-">buyHH(Player, Board)</a></span> - Method in class player.<a href="../player/Bank.html" title="class in player">Bank</a></dt>
<dd>
<div class="block">Buy Houses and Hotels</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-1.html">Prev Letter</a></li>
<li><a href="index-3.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-2.html" target="_top">Frames</a></li>
<li><a href="index-2.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
